=== modified file 'bzrlib/tests/test_help.py'
--- bzrlib/tests/test_help.py	2007-08-06 10:02:13 +0000
+++ bzrlib/tests/test_help.py	2007-08-30 13:53:57 +0000
@@ -40,7 +40,9 @@
         helptext = cmd.get_help_text()
         self.assertEndsWith(
             helptext,
-            '  -h, --help  Show help message.\n'
+            '  -v, --verbose  Display more information.\n'
+            '  -q, --quiet    Only display errors and warnings.\n'
+            '  -h, --help     Show help message.\n'
             '\n'
             'See also: bar, foo\n')
 
@@ -53,7 +55,8 @@
         self.assertStartsWith(helptext,
             'Purpose: A sample command.\n'
             'Usage:   bzr Demo')
-        self.assertEndsWith(helptext, 'Show help message.\n\n')
+        self.assertEndsWith(helptext,
+            '  -h, --help     Show help message.\n\n')
 
     def test_command_with_additional_see_also(self):
         class cmd_WithSeeAlso(commands.Command):
@@ -63,7 +66,9 @@
         helptext = cmd.get_help_text(['gam'])
         self.assertEndsWith(
             helptext,
-            '  -h, --help  Show help message.\n'
+            '  -v, --verbose  Display more information.\n'
+            '  -q, --quiet    Only display errors and warnings.\n'
+            '  -h, --help     Show help message.\n'
             '\n'
             'See also: bar, foo, gam\n')
 
@@ -74,7 +79,9 @@
         helptext = cmd.get_help_text(['gam'])
         self.assertEndsWith(
             helptext,
-            '  -h, --help  Show help message.\n'
+            '  -v, --verbose  Display more information.\n'
+            '  -q, --quiet    Only display errors and warnings.\n'
+            '  -h, --help     Show help message.\n'
             '\n'
             'See also: gam\n')
 
@@ -107,7 +114,9 @@
             'Usage:   bzr Demo\n'
             '\n'
             'Options:\n'
-            '  -h, --help  Show help message.\n'
+            '  -v, --verbose  Display more information.\n'
+            '  -q, --quiet    Only display errors and warnings.\n'
+            '  -h, --help     Show help message.\n'
             '\n'
             'Examples:\n'
             '    Example 1:\n'
@@ -124,7 +133,9 @@
             ':Usage:   bzr Demo\n'
             '\n'
             ':Options:\n'
-            '  -h, --help  Show help message.\n'
+            '  -v, --verbose  Display more information.\n'
+            '  -q, --quiet    Only display errors and warnings.\n'
+            '  -h, --help     Show help message.\n'
             '\n'
             ':Examples:\n'
             '    Example 1::\n'
@@ -159,7 +170,9 @@
             '\n'
             '\n'
             'Options:\n'
-            '  -h, --help  Show help message.\n'
+            '  -v, --verbose  Display more information.\n'
+            '  -q, --quiet    Only display errors and warnings.\n'
+            '  -h, --help     Show help message.\n'
             '\n'
             'Description:\n'
             '  Blah blah blah.\n\n')

=== modified file 'bzrlib/tests/test_options.py'
--- bzrlib/tests/test_options.py	2007-08-28 05:17:58 +0000
+++ bzrlib/tests/test_options.py	2007-08-30 13:53:57 +0000
@@ -93,7 +93,7 @@
         opts, args = self.parse(options, ['--no-hello', '--hello'])
         self.assertEqual(True, opts.hello)
         opts, args = self.parse(options, [])
-        self.assertEqual(option.OptionParser.DEFAULT_VALUE, opts.hello)
+        self.assertFalse(hasattr(opts, 'hello'))
         opts, args = self.parse(options, ['--hello', '--no-hello'])
         self.assertEqual(False, opts.hello)
         options = [option.Option('number', type=int)]

